#
# spec file for package perl-DateTime-Format-W3CDTF
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name DateTime-Format-W3CDTF

Name:           perl-%cpan_name
Version:        0.06
Release:        5.1
Provides:       %cpan_name
%perl_requires
Requires:       perl-DateTime perl-DateTime-Locale perl-DateTime-TimeZone perl-Params-Validate
Group:          Development/Libraries/Perl
License:        Artistic
Url:            http://search.cpan.org/dist/DateTime-Format-W3CDTF/
Summary:        Parse and format W3CDTF datetime strings
Source:         %cpan_name-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl perl-DateTime perl-DateTime-Locale perl-DateTime-TimeZone perl-Params-Validate perl-macros

%description
This module understands the W3CDTF date/time format, an ISO 8601 profile, defined at http://www.w3.org/TR/NOTE-datetime. This format as the native date format of RSS 1.0.
It can be used to parse these formats in order to create the appropriate objects. 

%prep
%setup -q -n %cpan_name-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make

%check
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
# clean up the hard disc after build
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_mandir}/man?/*
%{perl_vendorlib}/DateTime
%{perl_vendorarch}/auto/DateTime
%doc Changes LICENSE MANIFEST README 

%changelog
* Wed Feb  9 2011 vcizek@novell.com
- update to 0.06
- Fixed parsing of datetimes with sub-second precision (RT #14179, patch from
  Andrew Turner).
* Tue Jan 11 2011 vcizek@novell.com
- update to 0.05
  - Fixed a long-standing bug where a time zone other than UTC that had an
    offset of 0 caused the format_datetime method to return the string "0". RT
    [#22802].
- bzipped tarbal
* Mon Dec 20 2010 vcizek@novell.com
- separated perl_requires and the rest required
* Thu Dec 16 2010 vcizek@novell.com
- switch to  %%perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 0.04
